#ifndef FXEXARRAY_H
#define FXEXARRAY_H

/**
 * The purpose of this header is to make using FXArray less frustrating...
 * ie. as a programmer you wont need to remember to #include the particualars
 *     about your platform's placement-new operator.
 * ... as well an anything else that may be useful...
 */

#ifdef _GNU_SOURCE
#  include <new>
#endif
#include <fox/fxver.h>
#include <fox/FXElement.h>
#include <fox/FXArray.h>
#include <fox/FXString.h>
using namespace FX;
namespace FXEX {

// support arrays of strings, by default
typedef FXArray<FXString> FXStringList;

} // namespace FXEX
#endif //FXEXARRAY_H
